in scala.xml
class MetaData

[scala.serializable]
`abstract class` MetaData
  `extends` java.lang.Object
  `with` scala.Iterable[scala.xml.MetaData]
  `with` scala.ScalaObject

  Attribute information item, and linked list of attribute information items. These are triples consisting of `prefix,key,value`. To obtain the namespace, `getNamespace` must be called with the parent. If next is null, this is the last attribute in the MetaData list.

  Either an UnprefixedAttribute or a PrefixedAttribute

Todo:
  _vlue should be a normalized attribute value

Direct Known Subclasses:
  UnprefixedAttribute, PrefixedAttribute, Null

Constructor Summary
| `def` this

Def Summary
| `def` append (m: scala.xml.MetaData) : scala.xml.MetaData appends given MetaData items to this MetaData list.
`abstract` | `def` apply (s: java.lang.String) : scala.Seq[scala.xml.Node]
`abstract` | `def` apply (uri: java.lang.String, scp: scala.xml.NamespaceBinding, k: java.lang.String) : scala.Seq[scala.xml.Node]
`final` | `def` apply (namespace: java.lang.String, owner: scala.xml.Node, key: java.lang.String) : scala.Seq[scala.xml.Node] convenience method, same as `apply(namespace, owner.scope, key)`.
| `def` containedIn1 (m: scala.xml.MetaData) : scala.Boolean
`abstract` | `def` copy (next: scala.xml.MetaData) : scala.xml.MetaData returns a copy of this MetaData item with next field set to argument.
| `def` elements : java.lang.Object with scala.Iterator[scala.xml.MetaData] returns an iterator on attributes
`override` | `def` equals (that: scala.Any) : scala.Boolean deep equals method
`abstract` | `def` equals1 (that: scala.xml.MetaData) : scala.Boolean shallow equals method
| `def` filter (f: scala.Function1[scala.xml.MetaData, scala.Boolean]) : scala.xml.MetaData filters this sequence of meta data
`final` | `def` get (key: java.lang.String) : scala.Option[scala.Seq[scala.xml.Node]] gets value of unqualified (unprefixed) attribute with given key
`final` | `def` get (namespace: java.lang.String, owner: scala.xml.Node, key: java.lang.String) : scala.Option[scala.Seq[scala.xml.Node]] same as get(namespace, owner.scope, key)
`final` | `def` get (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String) : scala.Option[scala.Seq[scala.xml.Node]] gets value of qualified (prefixed) attribute with given key.
`abstract` | `def` getNamespace (owner: scala.xml.Node) : java.lang.String if owner is the element of this metadata item, returns namespace
| `def` hasNext : scala.Boolean
`abstract` `override` | `def` hashCode : scala.Int
`abstract` | `def` isPrefixed : scala.Boolean
`abstract` | `def` key : java.lang.String returns key of this MetaData item
| `def` length (i: scala.Int) : scala.Int
| `def` length : scala.Int
| `def` map (f: scala.Function1[scala.xml.MetaData, scala.xml.Text]) : scala.List[scala.xml.Text] maps this sequence of meta data
`abstract` | `def` next : scala.xml.MetaData returns Null or the next MetaData item
`abstract` | `def` remove (key: java.lang.String) : scala.xml.MetaData
`abstract` | `def` remove (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String) : scala.xml.MetaData
`final` | `def` remove (namespace: java.lang.String, owner: scala.xml.Node, key: java.lang.String) : scala.xml.MetaData
| `def` toString (sb: scala.compat.StringBuilder) : scala.Unit
`override` | `def` toString : java.lang.String
| `def` toString1 : java.lang.String
`abstract` | `def` toString1 (sb: scala.compat.StringBuilder) : scala.Unit
`abstract` | `def` value : scala.Seq[scala.xml.Node] returns value of this MetaData item
`abstract` | `def` wellformed (scope: scala.xml.NamespaceBinding) : scala.Boolean

Constructor Detail

`def` this

Def Detail

`def` append (m: scala.xml.MetaData): scala.xml.MetaData

  appends given MetaData items to this MetaData list.

Parameters:
  `m -` ...
Returns:
  ...

`abstract def` apply (s: java.lang.String): scala.Seq[scala.xml.Node]

Parameters:
  `s -` ...
Returns:
  ...

`abstract def` apply (uri: java.lang.String, scp: scala.xml.NamespaceBinding, k: java.lang.String): scala.Seq[scala.xml.Node]

`final def` apply (namespace: java.lang.String, owner: scala.xml.Node, key: java.lang.String): scala.Seq[scala.xml.Node]

  convenience method, same as `apply(namespace, owner.scope, key)`.

Parameters:
  `namespace -` ...
Parameters:
  `owner -` ...
Parameters:
  `key -` ...
Returns:
  ...

`def` containedIn1 (m: scala.xml.MetaData): scala.Boolean

Parameters:
  `m -` ...
Returns:
  `true` iff ...

`abstract def` copy (next: scala.xml.MetaData): scala.xml.MetaData

  returns a copy of this MetaData item with next field set to argument.

Parameters:
  `next -` ...
Returns:
  ...

`def` elements : java.lang.Object with scala.Iterator[scala.xml.MetaData]

  returns an iterator on attributes

`override def` equals (that: scala.Any): scala.Boolean

  deep equals method

`abstract def` equals1 (that: scala.xml.MetaData): scala.Boolean

  shallow equals method

`def` filter (f: scala.Function1[scala.xml.MetaData, scala.Boolean]): scala.xml.MetaData

  filters this sequence of meta data

`final def` get (key: java.lang.String): scala.Option[scala.Seq[scala.xml.Node]]

  gets value of unqualified (unprefixed) attribute with given key

`final def` get (namespace: java.lang.String, owner: scala.xml.Node, key: java.lang.String): scala.Option[scala.Seq[scala.xml.Node]]

  same as get(namespace, owner.scope, key)

`final def` get (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String): scala.Option[scala.Seq[scala.xml.Node]]

  gets value of qualified (prefixed) attribute with given key.

Parameters:
  `namespace -` ...
Parameters:
  `scope -` ...
Parameters:
  `key -` ...
Returns:
  `Some(x)` iff ...

`abstract def` getNamespace (owner: scala.xml.Node): java.lang.String

  if owner is the element of this metadata item, returns namespace

`def` hasNext : scala.Boolean

`abstract override def` hashCode : scala.Int

`abstract def` isPrefixed : scala.Boolean

`abstract def` key : java.lang.String

  returns key of this MetaData item

`def` length (i: scala.Int): scala.Int

`def` length : scala.Int

`def` map (f: scala.Function1[scala.xml.MetaData, scala.xml.Text]): scala.List[scala.xml.Text]

  maps this sequence of meta data

`abstract def` next : scala.xml.MetaData

  returns Null or the next MetaData item

`abstract def` remove (key: java.lang.String): scala.xml.MetaData

Parameters:
  `key -` ...
Returns:
  ...

`abstract def` remove (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String): scala.xml.MetaData

Parameters:
  `namespace -` ...
Parameters:
  `scope -` ...
Parameters:
  `key -` ...
Returns:
  ...

`final def` remove (namespace: java.lang.String, owner: scala.xml.Node, key: java.lang.String): scala.xml.MetaData

Parameters:
  `namespace -` ...
Parameters:
  `owner -` ...
Parameters:
  `key -` ...
Returns:
  ...

`def` toString (sb: scala.compat.StringBuilder): scala.Unit

`override def` toString : java.lang.String

`def` toString1 : java.lang.String

`abstract def` toString1 (sb: scala.compat.StringBuilder): scala.Unit

`abstract def` value : scala.Seq[scala.xml.Node]

  returns value of this MetaData item

`abstract def` wellformed (scope: scala.xml.NamespaceBinding): scala.Boolean

Parameters:
  `scope -` ...
Returns:
  `true` iff ...